Bug Hunting Session
Bug 94031 - Some 3D OpenGL transitions don't work in GL mode ...
Summary: Some 3D OpenGL transitions don't work in GL mode ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.2.1 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2015-09-08 15:15 UTC by Michael Meeks
Modified: 2016-10-25 19:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
slideshow: bind correct GL context for prepareEnvironment (992 bytes, patch)
2015-09-11 15:27 UTC, Lubosz Sarnecki
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2015-09-08 15:15:23 UTC
(but some do) - oddly some of the GL transitions appear to suffer when in OpenGL rendering mode, and others work fine. They appear to continue to work fine without OpenGL rendering enabled more generally. Some eg. "Turning helix" or "Revolving Circles" or "Newsflash" work just fine - others: Rochade / Static /  Fine Dissolve - have various variants of interesting mangling.

We should work out why & fix it.
Comment 1 Michael Meeks 2015-09-08 15:16:15 UTC
Steps to reproduce: Start impress, select "Slide Transition" in the side-bar, and then select one that happens not to work eg. Rochade.
Comment 2 Lubosz Sarnecki 2015-09-11 15:27:39 UTC
Created attachment 118607 [details]
slideshow: bind correct GL context for prepareEnvironment

For me the bug did not occur on Intel. On NVIDIA it did occur and the wrong context was bound during initialization of the GL slideshow.
The attached patch fixes the issue for me where it was reproducable.
Comment 3 Commit Notification 2015-09-11 16:33:44 UTC
Lubosz Sarnecki committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c5e3cf0f17605b4fcc809eadf5ebdc9d80025556

tdf#94031 - slideshow: bind correct GL context for prepareEnvironment

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-09-11 16:36:07 UTC
Lubosz Sarnecki committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58abf71db71628fdb1cb8e70e8aa55f3f790ce3c&h=libreoffice-5-0

tdf#94031 - slideshow: bind correct GL context for prepareEnvironment

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Michael Meeks 2015-09-11 16:50:00 UTC
Fixed in master & -5-0, queued for review for -5-0-2 as:

https://gerrit.libreoffice.org/18508 tdf#94031 - slideshow: bind correct GL context for prepareEnvironment

rubber-stamps appreciated - looks beautiful to me; thanks so much Lubos. Its somewhat interesting that Intel (apparently) has an implicit context there a lot.
Comment 6 Commit Notification 2015-09-12 21:07:53 UTC
Lubosz Sarnecki committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2857674b3c1b42ca1cd2f87a74e2cf92bf461f55&h=libreoffice-5-0-2

tdf#94031 - slideshow: bind correct GL context for prepareEnvironment

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.